> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Integration connection By Id

> Get user setup integrations



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/ai/assistants.yml get /ai/integrations/connections/{user_connection_id}
openapi: 3.1.0
info:
  title: Telnyx AI Assistants API
  version: 2.0.0
  description: >-
    API for managing AI Assistants, including CRUD fields, versions, tags,
    integrations, MCP servers, and shared tools.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /ai/integrations/connections/{user_connection_id}:
    get:
      tags:
        - Integrations
      summary: Get User Integration connection By Id
      description: Get user setup integrations
      operationId: >-
        get_user_integration_by_id_public_integrations_connections__user_connection_id__get
      parameters:
        - name: user_connection_id
          in: path
          required: true
          schema:
            type: string
          description: The connection id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationConnectionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const connection = await
            client.ai.integrations.connections.retrieve('user_connection_id');


            console.log(connection.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            connection = client.ai.integrations.connections.retrieve(
                "user_connection_id",
            )
            print(connection.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tconnection, err := client.AI.Integrations.Connections.Get(context.TODO(), \"user_connection_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", connection.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.ai.integrations.connections.ConnectionRetrieveParams;

            import
            com.telnyx.sdk.models.ai.integrations.connections.ConnectionRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ConnectionRetrieveResponse connection = client.ai().integrations().connections().retrieve("user_connection_id");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            connection =
            telnyx.ai.integrations.connections.retrieve("user_connection_id")


            puts(connection)
        - lang: CLI
          source: |-
            telnyx ai:integrations:connections retrieve \
              --api-key 'My API Key' \
              --user-connection-id user_connection_id
components:
  schemas:
    IntegrationConnectionResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/IntegrationConnection'
      required:
        - data
      title: IntegrationConnectionResponse
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    IntegrationConnection:
      type: object
      properties:
        id:
          type: string
          title: Id
        integration_id:
          type: string
          title: Integration Id
        allowed_tools:
          type: array
          items:
            type: string
          title: Allowed Tools
      required:
        - id
        - integration_id
        - allowed_tools
      title: IntegrationConnection
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````